---
# Cop supports --autocorrect.
Layout/SpaceInLambdaLiteral:
  Details: grace period
  Exclude:
    - 'app/models/bulk_imports/tracker.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/daily_build_group_report_result.rb'
    - 'app/models/ci/group_variable.rb'
    - 'app/models/ci/instance_variable.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/namespace_mirror.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/processable.rb'
    - 'app/models/ci/project_mirror.rb'
    - 'app/models/ci/resource.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci/unit_test.rb'
    - 'app/models/ci/variable.rb'
    - 'app/models/clusters/agent.rb'
    - 'app/models/clusters/agent_token.rb'
    - 'app/models/clusters/agents/activity_event.rb'
    - 'app/models/clusters/applications/knative.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/clusters/kubernetes_namespace.rb'
    - 'app/models/commit_status.rb'
    - 'app/models/concerns/analytics/cycle_analytics/stage_event_model.rb'
    - 'app/models/concerns/approvable.rb'
    - 'app/models/concerns/ci/artifactable.rb'
    - 'app/models/concerns/ci/has_status.rb'
    - 'app/models/concerns/ci/has_variable.rb'
    - 'app/models/concerns/has_environment_scope.rb'
    - 'app/models/concerns/has_unique_internal_users.rb'
    - 'app/models/concerns/id_in_ordered.rb'
    - 'app/models/concerns/incident_management/escalatable.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/mentionable.rb'
    - 'app/models/concerns/milestoneable.rb'
    - 'app/models/concerns/protected_ref_access.rb'
    - 'app/models/concerns/reactive_caching.rb'
    - 'app/models/concerns/shardable.rb'
    - 'app/models/concerns/timebox.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/deployment.rb'
    - 'app/models/design_management/action.rb'
    - 'app/models/design_management/design.rb'
    - 'app/models/design_management/version.rb'
    - 'app/models/diff_note.rb'
    - 'app/models/environment.rb'
    - 'app/models/error_tracking/client_key.rb'
    - 'app/models/error_tracking/error.rb'
    - 'app/models/external_pull_request.rb'
    - 'app/models/group.rb'
    - 'app/models/group_group_link.rb'
    - 'app/models/incident_management/timeline_event_tag.rb'
    - 'app/models/integration.rb'
    - 'app/models/integrations/base_chat_notification.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/issue.rb'
    - 'app/models/issue/metrics.rb'
    - 'app/models/jira_connect_installation.rb'
    - 'app/models/jira_connect_subscription.rb'
    - 'app/models/jira_import_state.rb'
    - 'app/models/key.rb'
    - 'app/models/label.rb'
    - 'app/models/label_link.rb'
    - 'app/models/lfs_object.rb'
    - 'app/models/lfs_objects_project.rb'
    - 'app/models/loose_foreign_keys/deleted_record.rb'
    - 'app/models/member.rb'
    - 'app/models/members/group_member.rb'
    - 'app/models/members/member_task.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/milestone.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespace_statistics.rb'
    - 'app/models/note.rb'
    - 'app/models/note_diff_file.rb'
    - 'app/models/operations/feature_flags/user_list.rb'
    - 'app/models/packages/build_info.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/packages/tag.rb'
    - 'app/models/pages_deployment.rb'
    - 'app/models/personal_access_token.rb'
    - 'app/models/project.rb'
    - 'app/models/project_daily_statistic.rb'
    - 'app/models/project_feature_usage.rb'
    - 'app/models/project_group_link.rb'
    - 'app/models/project_statistics.rb'
    - 'app/models/projects/import_export/relation_export.rb'
    - 'app/models/projects/topic.rb'
    - 'app/models/prometheus_alert.rb'
    - 'app/models/prometheus_alert_event.rb'
    - 'app/models/prometheus_metric.rb'
    - 'app/models/redirect_route.rb'
    - 'app/models/release.rb'
    - 'app/models/route.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/snippet_input_action.rb'
    - 'app/models/terraform/state.rb'
    - 'app/models/timelog.rb'
    - 'app/models/todo.rb'
    - 'app/models/user.rb'
    - 'app/models/user_highest_role.rb'
    - 'app/models/users/callout.rb'
    - 'app/models/users/in_product_marketing_email.rb'
    - 'app/models/users/phone_number_validation.rb'
    - 'app/models/users_star_project.rb'
    - 'app/models/zoom_meeting.rb'
    - 'app/serializers/analytics/cycle_analytics/stage_entity.rb'
    - 'app/serializers/base_discussion_entity.rb'
    - 'app/serializers/blob_entity.rb'
    - 'app/serializers/build_action_entity.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/ci/dag_job_entity.rb'
    - 'app/serializers/ci/job_entity.rb'
    - 'app/serializers/ci/pipeline_entity.rb'
    - 'app/serializers/ci/trigger_entity.rb'
    - 'app/serializers/cluster_application_entity.rb'
    - 'app/serializers/concerns/user_status_tooltip.rb'
    - 'app/serializers/container_repository_entity.rb'
    - 'app/serializers/container_tag_entity.rb'
    - 'app/serializers/deploy_keys/basic_deploy_key_entity.rb'
    - 'app/serializers/deployment_cluster_entity.rb'
    - 'app/serializers/deployment_entity.rb'
    - 'app/serializers/detailed_status_entity.rb'
    - 'app/serializers/diff_file_base_entity.rb'
    - 'app/serializers/diff_file_entity.rb'
    - 'app/serializers/diffs_entity.rb'
    - 'app/serializers/discussion_entity.rb'
    - 'app/serializers/draft_note_entity.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/feature_flag_entity.rb'
    - 'app/serializers/issue_board_entity.rb'
    - 'app/serializers/issue_entity.rb'
    - 'app/serializers/issue_sidebar_basic_entity.rb'
    - 'app/serializers/label_entity.rb'
    - 'app/serializers/member_entity.rb'
    - 'app/serializers/member_user_entity.rb'
    - 'app/serializers/merge_request_current_user_entity.rb'
    - 'app/serializers/merge_request_noteable_entity.rb'
    - 'app/serializers/merge_request_poll_cached_widget_entity.rb'
    - 'app/serializers/merge_request_poll_widget_entity.rb'
    - 'app/serializers/merge_request_widget_entity.rb'
    - 'app/serializers/note_entity.rb'
    - 'app/serializers/project_note_entity.rb'
    - 'app/serializers/review_app_setup_entity.rb'
    - 'app/serializers/rollout_status_entity.rb'
    - 'app/serializers/runner_entity.rb'
    - 'app/serializers/stage_entity.rb'
    - 'app/serializers/test_case_entity.rb'
    - 'app/serializers/test_suite_entity.rb'
    - 'app/serializers/triggered_pipeline_entity.rb'
    - 'app/services/ci/drop_pipeline_service.rb'
    - 'app/services/ci/job_artifacts/expire_project_build_artifacts_service.rb'
    - 'app/services/ci/register_job_service.rb'
    - 'app/services/environments/auto_stop_service.rb'
    - 'app/services/incident_management/timeline_events/create_service.rb'
    - 'app/services/issues/export_csv_service.rb'
    - 'app/services/issues/referenced_merge_requests_service.rb'
    - 'app/services/jira_connect_subscriptions/create_service.rb'
    - 'app/services/merge_requests/export_csv_service.rb'
    - 'app/services/packages/mark_packages_for_destruction_service.rb'
    - 'app/services/projects/fork_service.rb'
    - 'app/services/resource_access_tokens/create_service.rb'
    - 'app/workers/issues/reschedule_stuck_issue_rebalances_worker.rb'
    - 'app/workers/process_commit_worker.rb'
    - 'config/initializers/deprecations.rb'
    - 'config/routes/project.rb'
    - 'ee/app/controllers/groups/analytics/coverage_reports_controller.rb'
    - 'ee/app/controllers/projects/on_demand_scans_controller.rb'
    - 'ee/app/controllers/projects/security/dast_site_profiles_controller.rb'
    - 'ee/app/models/analytics/devops_adoption/enabled_namespace.rb'
    - 'ee/app/models/analytics/devops_adoption/snapshot.rb'
    - 'ee/app/models/app_sec/fuzzing/coverage/corpus.rb'
    - 'ee/app/models/approval_merge_request_rule.rb'
    - 'ee/app/models/boards/epic_board_recent_visit.rb'
    - 'ee/app/models/boards/epic_user_preference.rb'
    - 'ee/app/models/ci/minutes/namespace_monthly_usage.rb'
    - 'ee/app/models/ci/minutes/project_monthly_usage.rb'
    - 'ee/app/models/concerns/approval_rule_like.rb'
    - 'ee/app/models/concerns/ee/protected_ref.rb'
    - 'ee/app/models/concerns/filterable_by_test_reports.rb'
    - 'ee/app/models/concerns/issue_widgets/acts_like_requirement.rb'
    - 'ee/app/models/dast/profile.rb'
    - 'ee/app/models/dast/profile_schedule.rb'
    - 'ee/app/models/dast_scanner_profile.rb'
    - 'ee/app/models/dast_site_profile.rb'
    - 'ee/app/models/dast_site_validation.rb'
    - 'ee/app/models/dora/daily_metrics.rb'
    - 'ee/app/models/ee/application_setting.rb'
    - 'ee/app/models/ee/audit_event.rb'
    - 'ee/app/models/ee/ci/build.rb'
    - 'ee/app/models/ee/ci/job_artifact.rb'
    - 'ee/app/models/ee/clusters/agent.rb'
    - 'ee/app/models/ee/environment.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/gpg_key.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/group_group_link.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/models/ee/list.rb'
    - 'ee/app/models/ee/member.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/namespace_setting.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/project_group_link.rb'
    - 'ee/app/models/ee/release.rb'
    - 'ee/app/models/ee/vulnerability.rb'
    - 'ee/app/models/elasticsearch_indexed_namespace.rb'
    - 'ee/app/models/geo_node.rb'
    - 'ee/app/models/gitlab_subscription.rb'
    - 'ee/app/models/incident_management/escalation_policy.rb'
    - 'ee/app/models/incident_management/escalation_rule.rb'
    - 'ee/app/models/incident_management/oncall_participant.rb'
    - 'ee/app/models/incident_management/oncall_rotation.rb'
    - 'ee/app/models/incident_management/oncall_schedule.rb'
    - 'ee/app/models/incident_management/oncall_shift.rb'
    - 'ee/app/models/iteration.rb'
    - 'ee/app/models/iterations/cadence.rb'
    - 'ee/app/models/merge_request_block.rb'
    - 'ee/app/models/merge_requests/compliance_violation.rb'
    - 'ee/app/models/namespaces/namespace_ban.rb'
    - 'ee/app/models/requirements_management/requirement.rb'
    - 'ee/app/models/resource_iteration_event.rb'
    - 'ee/app/models/saml_group_link.rb'
    - 'ee/app/models/sca/license_compliance.rb'
    - 'ee/app/models/security/finding.rb'
    - 'ee/app/models/security/orchestration_policy_configuration.rb'
    - 'ee/app/models/security/scan.rb'
    - 'ee/app/models/security/training.rb'
    - 'ee/app/models/security/training_provider.rb'
    - 'ee/app/models/slack_integration.rb'
    - 'ee/app/models/software_license.rb'
    - 'ee/app/models/software_license_policy.rb'
    - 'ee/app/models/vulnerabilities/external_issue_link.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/models/vulnerabilities/finding.rb'
    - 'ee/app/models/vulnerabilities/finding_link.rb'
    - 'ee/app/models/vulnerabilities/finding_remediation.rb'
    - 'ee/app/models/vulnerabilities/finding_signature.rb'
    - 'ee/app/models/vulnerabilities/historical_statistic.rb'
    - 'ee/app/models/vulnerabilities/identifier.rb'
    - 'ee/app/models/vulnerabilities/issue_link.rb'
    - 'ee/app/models/vulnerabilities/read.rb'
    - 'ee/app/models/vulnerabilities/remediation.rb'
    - 'ee/app/models/vulnerabilities/scanner.rb'
    - 'ee/app/models/vulnerabilities/statistic.rb'
    - 'ee/app/serializers/blocking_merge_request_entity.rb'
    - 'ee/app/serializers/clusters/environment_entity.rb'
    - 'ee/app/serializers/dashboard_operations_project_entity.rb'
    - 'ee/app/serializers/ee/blob_entity.rb'
    - 'ee/app/serializers/ee/build_detail_entity.rb'
    - 'ee/app/serializers/ee/environment_entity.rb'
    - 'ee/app/serializers/ee/evidences/release_entity.rb'
    - 'ee/app/serializers/ee/issue_entity.rb'
    - 'ee/app/serializers/ee/issue_sidebar_basic_entity.rb'
    - 'ee/app/serializers/ee/issue_sidebar_extras_entity.rb'
    - 'ee/app/serializers/ee/merge_request_poll_cached_widget_entity.rb'
    - 'ee/app/serializers/ee/merge_request_poll_widget_entity.rb'
    - 'ee/app/serializers/ee/merge_request_widget_entity.rb'
    - 'ee/app/serializers/ee/note_entity.rb'
    - 'ee/app/serializers/epic_base_entity.rb'
    - 'ee/app/serializers/epic_entity.rb'
    - 'ee/app/serializers/epic_note_entity.rb'
    - 'ee/app/serializers/linked_epic_issue_entity.rb'
    - 'ee/app/serializers/metrics_report_metric_entity.rb'
    - 'ee/app/serializers/vulnerabilities/feedback_entity.rb'
    - 'ee/app/serializers/vulnerabilities/finding_entity.rb'
    - 'ee/app/serializers/vulnerability_note_entity.rb'
    - 'ee/app/services/analytics/cycle_analytics/consistency_check_service.rb'
    - 'ee/app/services/analytics/cycle_analytics/data_loader_service.rb'
    - 'ee/app/services/audit_events/export_csv_service.rb'
    - 'ee/app/services/ee/ci/register_job_service.rb'
    - 'ee/app/services/groups/memberships/export_service.rb'
    - 'ee/app/services/groups/seat_usage_export_service.rb'
    - 'ee/app/services/historical_user_data/csv_service.rb'
    - 'ee/app/services/merge_commits/export_csv_service.rb'
    - 'ee/app/services/user_permissions/export_service.rb'
    - 'ee/app/services/vulnerability_exports/exporters/csv_service.rb'
    - 'ee/app/workers/update_all_mirrors_worker.rb'
    - 'ee/lib/api/entities/pending_member.rb'
    - 'ee/lib/api/ml/ai_assist.rb'
    - 'ee/lib/ee/api/entities/ci/job_request/response.rb'
    - 'ee/lib/ee/api/entities/epic.rb'
    - 'ee/lib/ee/api/entities/issue.rb'
    - 'ee/lib/ee/api/entities/list.rb'
    - 'ee/lib/ee/api/entities/member.rb'
    - 'ee/lib/ee/api/entities/project_approval_rule.rb'
    - 'ee/lib/ee/api/entities/user_basic.rb'
    - 'ee/lib/ee/api/entities/vulnerability_issue_link.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_epic_cache_counts.rb'
    - 'ee/lib/ee/gitlab/background_migration/delete_approval_rules_with_vulnerability.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_shared_vulnerability_scanners.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_approval_merge_request_rules_with_security_orchestration.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_approval_project_rules_with_security_orchestration.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/ee/gitlab/ci/config/entry/need.rb'
    - 'ee/lib/ee/gitlab/event_store.rb'
    - 'ee/lib/gitlab/ci/config/entry/vault/secret.rb'
    - 'ee/lib/gitlab/insights/executors/dora_executor.rb'
    - 'ee/spec/frontend/fixtures/dast_profiles.rb'
    - 'ee/spec/lib/gitlab/ci/reports/security/locations/container_scanning_spec.rb'
    - 'ee/spec/requests/api/merge_request_approval_rules_spec.rb'
    - 'lib/api/api.rb'
    - 'lib/api/branches.rb'
    - 'lib/api/entities/basic_project_details.rb'
    - 'lib/api/entities/ci/job.rb'
    - 'lib/api/entities/ci/job_basic.rb'
    - 'lib/api/entities/ci/lint/result.rb'
    - 'lib/api/entities/ci/reset_token_result.rb'
    - 'lib/api/entities/ci/variable.rb'
    - 'lib/api/entities/container_registry.rb'
    - 'lib/api/entities/deploy_key.rb'
    - 'lib/api/entities/event.rb'
    - 'lib/api/entities/group.rb'
    - 'lib/api/entities/invitation.rb'
    - 'lib/api/entities/issue.rb'
    - 'lib/api/entities/merge_request.rb'
    - 'lib/api/entities/merge_request_basic.rb'
    - 'lib/api/entities/milestone.rb'
    - 'lib/api/entities/namespace.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/entities/release.rb'
    - 'lib/api/entities/todo.rb'
    - 'lib/api/events.rb'
    - 'lib/api/feature_flags_user_lists.rb'
    - 'lib/api/files.rb'
    - 'lib/api/helm_packages.rb'
    - 'lib/api/helpers/caching.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/metadata.rb'
    - 'lib/api/metrics/dashboard/annotations.rb'
    - 'lib/api/ml/mlflow.rb'
    - 'lib/api/releases.rb'
    - 'lib/api/settings.rb'
    - 'lib/api/tags.rb'
    - 'lib/api/unleash.rb'
    - 'lib/api/users.rb'
    - 'lib/atlassian/jira_connect/serializers/author_entity.rb'
    - 'lib/bulk_imports/groups/transformers/group_attributes_transformer.rb'
    - 'lib/container_registry/base_client.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/event_filter.rb'
    - 'lib/file_size_validator.rb'
    - 'lib/gitlab/analytics/date_filler.rb'
    - 'lib/gitlab/background_migration/backfill_internal_on_notes.rb'
    - 'lib/gitlab/background_migration/backfill_project_namespace_on_issues.rb'
    - 'lib/gitlab/background_migration/backfill_work_item_type_id_for_issues.rb'
    - 'lib/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'lib/gitlab/background_migration/purge_stale_security_scans.rb'
    - 'lib/gitlab/background_migration/remove_all_trace_expiration_dates.rb'
    - 'lib/gitlab/cache/helpers.rb'
    - 'lib/gitlab/ci/config/entry/inherit/default.rb'
    - 'lib/gitlab/ci/config/entry/inherit/variables.rb'
    - 'lib/gitlab/ci/config/entry/key.rb'
    - 'lib/gitlab/ci/config/entry/need.rb'
    - 'lib/gitlab/ci/config/entry/policy.rb'
    - 'lib/gitlab/ci/config/entry/product/parallel.rb'
    - 'lib/gitlab/ci/config/entry/retry.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule/changes.rb'
    - 'lib/gitlab/ci/config/entry/trigger.rb'
    - 'lib/gitlab/ci/config/entry/variable.rb'
    - 'lib/gitlab/database/background_migration_job.rb'
    - 'lib/gitlab/email/handler/unsubscribe_handler.rb'
    - 'lib/gitlab/event_store.rb'
    - 'lib/gitlab/gl_repository.rb'
    - 'lib/gitlab/health_checks/server.rb'
    - 'lib/gitlab/import_export/import_failure_service.rb'
    - 'lib/gitlab/merge_requests/message_generator.rb'
    - 'lib/gitlab/metrics/dashboard/transformers/yml/v1/prometheus_metrics.rb'
    - 'lib/gitlab/metrics/exporter/base_exporter.rb'
    - 'lib/gitlab/visibility_level.rb'
    - 'spec/deprecation_toolkit_env.rb'
    - 'spec/features/admin/users/user_spec.rb'
    - 'spec/helpers/namespaces_helper_spec.rb'
    - 'spec/lib/backup/gitaly_backup_spec.rb'
    - 'spec/lib/container_registry/client_spec.rb'
    - 'spec/lib/csv_builder_spec.rb'
    - 'spec/lib/gitlab/analytics/date_filler_spec.rb'
    - 'spec/lib/gitlab/background_migration/batched_migration_job_spec.rb'
    - 'spec/lib/gitlab/batch_worker_context_spec.rb'
    - 'spec/lib/gitlab/config/entry/simplifiable_spec.rb'
    - 'spec/lib/gitlab/database/consistency_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/restrict_gitlab_schema_spec.rb'
    - 'spec/lib/gitlab/database/query_analyzers/gitlab_schemas_validate_connection_spec.rb'
    - 'spec/lib/gitlab/event_store/store_spec.rb'
    - 'spec/lib/gitlab/middleware/handle_ip_spoof_attack_error_spec.rb'
    - 'spec/lib/gitlab/middleware/request_context_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/query_builder_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/in_operator_optimization/strategies/record_loader_strategy_spec.rb'
    - 'spec/lib/gitlab/query_limiting/middleware_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/worker_context/client_spec.rb'
    - 'spec/lib/gitlab/sidekiq_signals_spec.rb'
    - 'spec/lib/gitlab/utils/sanitize_node_link_spec.rb'
    - 'spec/models/ability_spec.rb'
    - 'spec/models/broadcast_message_spec.rb'
    - 'spec/models/concerns/participable_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/support/shared_examples/lib/cache_helpers_shared_examples.rb'
    - 'spec/support/shared_examples/workers/batched_background_migration_worker_shared_examples.rb'
    - 'spec/workers/concerns/worker_context_spec.rb'
